<?php
// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: new_record_quota.class.php,v 1.1.2.1 2026/04/13 12:14:49 tsamson Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

// classes de gestion du temps de presence en nouveaute des notices
global $class_path;
require_once($class_path."/quotas.class.php");

class new_record_quota  extends quota {

	public function __construct(){

	}

	//formulaire d'un champ de quota...
	public static function get_quota_form($prefix,$value){
		global $pmb_newrecord_timeshift;
		if (empty($value) && !empty($pmb_newrecord_timeshift)) {
			$value = $pmb_newrecord_timeshift;
		}
		return "<input type='text' class='saisie-5em' size='10' name='$prefix' id='$prefix' value='".intval($value)."'/>";
	}

	public static function get_storable_value($value) {
		return intval($value);
	}
}